import { PropType } from 'vue';
export interface CarouselSlide {
    active?: boolean;
    description?: string;
    image?: string;
    interval?: number;
    title?: string;
}
declare const _default: import("vue").DefineComponent<{
    /**
     * The interval of the carousel in milliseconds
     */
    interval: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The slides of the carousel
     */
    slides: {
        type: PropType<CarouselSlide[]>;
        default: () => any[];
    };
    id: {
        type: StringConstructor;
        default: () => string;
    };
    /**
     * Use dark mode for the controls
     */
    dark: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Use a fade transition for the slides
     */
    fade: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Hide the controls
     */
    hideControls: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Hide the indicators
     */
    hideIndicators: {
        type: BooleanConstructor;
        default: boolean;
    };
}, (_ctx: any, _cache: any) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The interval of the carousel in milliseconds
     */
    interval: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The slides of the carousel
     */
    slides: {
        type: PropType<CarouselSlide[]>;
        default: () => any[];
    };
    id: {
        type: StringConstructor;
        default: () => string;
    };
    /**
     * Use dark mode for the controls
     */
    dark: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Use a fade transition for the slides
     */
    fade: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Hide the controls
     */
    hideControls: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Hide the indicators
     */
    hideIndicators: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    id: string;
    dark: boolean;
    fade: boolean;
    hideControls: boolean;
    hideIndicators: boolean;
    interval: number;
    slides: CarouselSlide[];
}>;
export default _default;
