import { PropType } from 'vue';
import { Item } from '@/composables/useFormSelect';
declare const _default: import("vue").DefineComponent<{
    /**
     * Automatically search through the items
     */
    autoSearch: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The items of the dropdown menu
     */
    items: {
        type: PropType<Item[]>;
        default: () => any[];
    };
    /**
     * The key that is used to get the label from a given item
     */
    labelKey: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The model value
     */
    modelValue: {
        type: PropType<Item>;
        default: any;
    };
    /**
     * The placeholder of the form input
     */
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The current search string
     */
    search: {
        type: StringConstructor;
        default: string;
    };
    type: {
        type: PropType<"number" | "button" | "checkbox" | "color" | "date" | "datetime-local" | "email" | "file" | "hidden" | "image" | "month" | "password" | "radio" | "range" | "reset" | "search" | "submit" | "tel" | "text" | "time" | "url" | "week">;
        default: string;
        validator: (v: "number" | "button" | "checkbox" | "color" | "date" | "datetime-local" | "email" | "file" | "hidden" | "image" | "month" | "password" | "radio" | "range" | "reset" | "search" | "submit" | "tel" | "text" | "time" | "url" | "week") => boolean;
    }; /**
     * The items of the dropdown menu
     */
    size: {
        type: PropType<"sm" | "md" | "lg" | "xl">;
        default: string;
        validator: (v: "sm" | "md" | "lg" | "xl") => boolean;
    };
    plainText: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
}, (_ctx: any, _cache: any) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "update:search")[], "update:modelValue" | "update:search", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Automatically search through the items
     */
    autoSearch: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The items of the dropdown menu
     */
    items: {
        type: PropType<Item[]>;
        default: () => any[];
    };
    /**
     * The key that is used to get the label from a given item
     */
    labelKey: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The model value
     */
    modelValue: {
        type: PropType<Item>;
        default: any;
    };
    /**
     * The placeholder of the form input
     */
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The current search string
     */
    search: {
        type: StringConstructor;
        default: string;
    };
    type: {
        type: PropType<"number" | "button" | "checkbox" | "color" | "date" | "datetime-local" | "email" | "file" | "hidden" | "image" | "month" | "password" | "radio" | "range" | "reset" | "search" | "submit" | "tel" | "text" | "time" | "url" | "week">;
        default: string;
        validator: (v: "number" | "button" | "checkbox" | "color" | "date" | "datetime-local" | "email" | "file" | "hidden" | "image" | "month" | "password" | "radio" | "range" | "reset" | "search" | "submit" | "tel" | "text" | "time" | "url" | "week") => boolean;
    }; /**
     * The items of the dropdown menu
     */
    size: {
        type: PropType<"sm" | "md" | "lg" | "xl">;
        default: string;
        validator: (v: "sm" | "md" | "lg" | "xl") => boolean;
    };
    plainText: {
        type: BooleanConstructor;
        default: boolean;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    autofocus: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: (...args: any[]) => any;
    "onUpdate:search"?: (...args: any[]) => any;
}, {
    search: string;
    autoSearch: boolean;
    items: Item[];
    labelKey: string;
    modelValue: Item;
    placeholder: string;
    type: "number" | "button" | "checkbox" | "color" | "date" | "datetime-local" | "email" | "file" | "hidden" | "image" | "month" | "password" | "radio" | "range" | "reset" | "search" | "submit" | "tel" | "text" | "time" | "url" | "week";
    required: boolean;
    size: "sm" | "md" | "lg" | "xl";
    plainText: boolean;
    readonly: boolean;
    disabled: boolean;
    autofocus: boolean;
}>;
export default _default;
